# IShColorConversionUtilities Struct Reference

Inheritance diagram for IShColorConversionUtilities:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | PixelRGBToHSV (const TColorRGB214 &, TColorHSV214 &)=0
virtual MCCOMErr MCCOMAPI | PixelRGBToHLS (const TColorRGB214 &, TColorHLS214 &)=0
virtual MCCOMErr MCCOMAPI | PixelRGBToXYZ (const TColorRGB214 &, TXYZColor &)=0
virtual MCCOMErr MCCOMAPI | PixelRGBToLab (const TColorRGB214 &, TColorLab &)=0
virtual MCCOMErr MCCOMAPI | PixelRGBToCMYK (const TColorRGB214 &, TColorCMYK &)=0
virtual MCCOMErr MCCOMAPI | PixelHSVToRGB (const TColorHSV214 &, TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | PixelHLSToRGB (const TColorHLS214 &, TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | PixelXYZToRGB (const TXYZColor &, TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | PixelLabToRGB (const TColorLab &, TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | PixelCMYKToRGB (const TColorCMYK &, TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | PixelCMYKToLab (const TColorCMYK &, TColorLab &)=0
virtual MCCOMErr MCCOMAPI | TileRGBToHSV (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileRGBToHLS (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileRGBToXYZ (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileRGBToLab (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileRGBToCMYK (const TMCPixelBucket *[3], uint8, const TMCPixelBucket *[])=0
virtual MCCOMErr MCCOMAPI | TileHSVToRGB (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileHLSToRGB (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileXYZToRGB (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileLabToRGB (const TMCPixelBucket *[3], const TMCPixelBucket *[3])=0
virtual MCCOMErr MCCOMAPI | TileCMYKToRGB (uint8, const TMCPixelBucket *[], const TMCPixelBucket *[3])=0
virtual TMCRGBColor MCCOMAPI | PixelGammaCorrect (const TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | GammaCorrectToChunky (const TMCPixelBucket *[3], const TMCPixelBucket *, const TMCRect &inRect)=0
virtual MCCOMErr MCCOMAPI | GammaCorrectChunkyToItself (const TMCPixelBucket *)=0
virtual MCCOMErr MCCOMAPI | LoadColorSetFromFile (const int8 *, I2DShColorSet **)=0
virtual MCCOMErr MCCOMAPI | SaveColorSetToFile (const int8 *, I2DShColorSet *)=0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::GammaCorrectChunkyToItself | ( | const TMCPixelBucket * |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::GammaCorrectToChunky | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | ,
|  | const TMCRect & | inRect |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::LoadColorSetFromFile | ( | const int8 * | ,
|  | I2DShColorSet ** |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelCMYKToLab | ( | const TColorCMYK & | ,
|  | TColorLab & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelCMYKToRGB | ( | const TColorCMYK & | ,
|  | TColorRGB214 & |  |
| ) |  |  | `[pure virtual]`

virtual TMCRGBColor MCCOMAPI IShColorConversionUtilities::PixelGammaCorrect | ( | const TColorRGB214 & |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelHLSToRGB | ( | const TColorHLS214 & | ,
|  | TColorRGB214 & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelHSVToRGB | ( | const TColorHSV214 & | ,
|  | TColorRGB214 & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelLabToRGB | ( | const TColorLab & | ,
|  | TColorRGB214 & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelRGBToCMYK | ( | const TColorRGB214 & | ,
|  | TColorCMYK & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelRGBToHLS | ( | const TColorRGB214 & | ,
|  | TColorHLS214 & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelRGBToHSV | ( | const TColorRGB214 & | ,
|  | TColorHSV214 & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelRGBToLab | ( | const TColorRGB214 & | ,
|  | TColorLab & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelRGBToXYZ | ( | const TColorRGB214 & | ,
|  | TXYZColor & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::PixelXYZToRGB | ( | const TXYZColor & | ,
|  | TColorRGB214 & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::SaveColorSetToFile | ( | const int8 * | ,
|  | I2DShColorSet * |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileCMYKToRGB | ( | uint8 | ,
|  | const TMCPixelBucket * | [],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileHLSToRGB | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileHSVToRGB | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileLabToRGB | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileRGBToCMYK | ( | const TMCPixelBucket * | [3],
|  | uint8 | ,
|  | const TMCPixelBucket * | [] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileRGBToHLS | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileRGBToHSV | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileRGBToLab | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileRGBToXYZ | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShColorConversionUtilities::TileXYZToRGB | ( | const TMCPixelBucket * | [3],
|  | const TMCPixelBucket * | [3] |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShColorConversionUtilities.h